﻿FROM mcr.microsoft.com/dotnet/runtime:5.0 AS base
WORKDIR /app

FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build
WORKDIR /src
COPY ["Sorting demonstration library/Sorting demonstration library.csproj", "Sorting demonstration library/"]
RUN dotnet restore "Sorting demonstration library/Sorting demonstration library.csproj"
COPY . .
WORKDIR "/src/Sorting demonstration library"
RUN dotnet build "Sorting demonstration library.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "Sorting demonstration library.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "Sorting demonstration library.dll"]
